package com.gh.gamecenter.feedback.provider

import android.content.Context
import android.content.pm.PackageInfo
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IPackageUtilsProvider

@com.therouter.inject.ServiceProvider
class PackageUtilsProviderImpl : IPackageUtilsProvider {
    override fun obtainProcessName(): String? {
        return ""
    }

    override fun getGhVersionName(): String {
        return ""
    }

    override fun getGhVersionCode(): Int {
        return 0
    }

    override fun getInstalledPackages(context: Context, flag: Int): List<PackageInfo> {
        return listOf()
    }

    override fun getApkSignatureByPackageName(context: Context, packageName: String): Array<String> {
        return arrayOf()
    }

    override fun getSideLoadedInfo(): MutableMap<String, String>? {
        return mutableMapOf()
    }

    override fun isSignedByGh(context: Context, packageName: String): Boolean {
        return false
    }

    override fun getInstalledTime(context: Context, packageName: String): Long {
        return 0L
    }

    override fun getVersionNameByPackageName(packageName: String): String {
        return ""
    }
}